BornAgain - Feature #1004

Feature # 964 (Rejected): === GUI ===

GUI: revise tooltips in all GUI elements
06 Mar 2015 15:13 - pospelov

Status: Rejected Start date: 06 Mar 2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

History

#1 - 06 Mar 2015 15:13 - pospelov

- Subject changed from GUI: implement tooltips for all items of InsturmentView to GUI: implement tooltips for all items in InsturmentView

#2 - 19 Mar 2015 09:44 - pospelov

- Subject changed from GUI: implement tooltips for all items in InsturmentView to GUI: implement tooltips for all items in InstrumentView

#3 - 22 Apr 2015 13:23 - pospelov
- Status changed from New to Sprint

- Target version set to Sprint 27

#4 - 24 Apr 2015 14:14 - wuttke
- Parent task set to #964

#5 - 09 Jun 2015 17:02 - herck
- Status changed from Sprint to Backlog
- Target version deleted (Sprint 27)

#6 - 22 Jul 2016 11:22 - pospelov
- Subject changed from GUI: implement tooltips for all items in InstrumentView to GUI: revise tooltips in all GUI elements

- Priority changed from Normal to High

Revise mechanism of storing tooltips in GUI.
Currently tooltips are stored/handled

® in corresponding Sessionltem
e in ToolTipDataBase

¢ in widgets

® in Sessionltem's views (IView)

Within this item

e refactor ToolTipDatabase to not to be a singleton-like

o or even think of its complete removal
¢ revise ComponentEditor tooltip handling (tooltip for left column, tooltip for right column)
e implement missed tooltips

The list of tooltips to implement (to be extended)

LayerRoughness
InstrumentView
#7 - 16 Nov 2016 18:42 - wuttke
- Priority changed from High to Normal

Nice to have, even important, but not high priority

#8 - 02 Jun 2017 17:08 - pospelov
- Status changed from Backlog to Rejected

Rejected in the favor of #1808 and similar. This one is too big.
